#ifndef CANNON_H
#define CANNON_H



#include <GR/GRTypes.h>

#include "Unit.h"



class XRenderer;
class Level;

class Cannon
{

  public:

    GR::tPoint              m_Pos;

    int                     m_Missiles;


    Cannon( int X, int Y, int NumMissiles );

    void                    Display( XRenderer& Viewer );
    void                    UpdateFixed( Level& Level );
    void                    Update( Level& Level, GR::f32 ElapsedTime );

};

#endif // CANNON_H
