#ifndef GDMissileCommand_H_INCLUDED
#define GDMissileCommand_H_INCLUDED

#include <Xtreme/XRenderer.h>
#include <Xtreme/XFont.h>
#include <Xtreme/XTexture.h>
#include <Xtreme/XVertexBuffer.h>

#include <windows.h>

#include <vector>
#include <list>

#include <GR/GameState/GUIGameState.h>

#include <Controls/Xtreme/GUIComponentDisplayer.h>

#include <Interface/IEventListener.h>

#include <MasterFrame/XFrameApp.h>

#include "resource.h"



class GDMissileCommand : public CXFrameApp
{
  public:

    GR::u32             m_BestScore;
    GR::u32             m_LastScore;


    GDMissileCommand();
    virtual ~GDMissileCommand();


    bool                ProcessEvent( const GUI::OutputEvent& Event );


    // MasterFrame-spezifisch
    virtual bool        InitInstance();
    virtual void        ExitInstance();
    virtual void        UpdatePerDisplayFrame( const float fElapsedTime );
    virtual void        UpdateFixedLogic();

    virtual bool        ProcessEvent( const GR::Gamebase::tXFrameEvent& Event );

    virtual void        Configure( Xtreme::EnvironmentConfig& Configuration );

};


extern GDMissileCommand          theApp;



#endif // GDMissileCommand_H_INCLUDED
