#ifndef GSMENU
#define GSMENU



#include <Xtreme/XRenderer.h>

#include <GR\GameState\GUIGameState.h>

#include <Controls\OutputEvent.h>

#include "FallingMenu.h"
#include "Level.h"



class CGSMenu : public GUIGameState<XRenderer>, public EventListener<GUI::OutputEvent>
{

  public:

    DECLARE_CLONEABLE( CGSMenu, "GSMENU" )

    FallingMenu             m_Menu;

    Level                   m_Level;



    virtual void            Init();
    virtual void            Exit();


    virtual void            UpdatePerDisplayFrame( const GR::f32 ElapsedTime );
    virtual void            Display( XRenderer& Viewer );
    virtual void            Update();

    virtual bool            ProcessEvent( const GUI::OutputEvent& Event );

};

#endif // GSMENU
