#pragma once

#include <GR/GRTypes.h>

#include <list>

#include <Math/Iterator/IteratorChain.h>
#include <Math/Iterator/SingleCosineSwing.h>
#include <Math/Iterator/Linear.h>


#include "UnitController.h"



class HurtingExplosionController : public UnitController
{

  public:

    GR::f32                   m_ExplosionSize;

    math::Iterator::Chain     m_ExplosionSizeChanger;
    math::Iterator::Chain::tIteratorPos     m_ExplosionSizeChangerPos;



    HurtingExplosionController();
    virtual ~HurtingExplosionController();


    virtual void              Update( Level& Level, Unit& Unit, GR::f32 ElapsedTime );
    virtual void              UpdateFixed( Level& Level, Unit& Unit );

};


