#include ".\MissileController.h"
#include ".\Level.h"
#include ".\GameLogic.h"

#include "GDMissileCommand.h"



MissileController::MissileController()
{
}



MissileController::~MissileController()
{
}



void MissileController::Update( Level& Level, Unit& Unit, GR::f32 ElapsedTime )
{
  if ( Unit.m_Pos.y >= 550 )
  {
    GameLogic::MissileHits( Level, Unit.m_Pos );

    // TODO - explode target
    Level.SpawnUnit( "Explosion", Unit.m_Pos.x, Unit.m_Pos.y );
    Unit.m_RemoveMe = true;

    theApp.SoundClass()->Play( theApp.Sound( "Missile.Impact" ) );
  }
}



void MissileController::UpdateFixed( Level& Level, Unit& Unit )
{
}



