#pragma once

#include <vector>

#include <map>

#include <GR/GRTypes.h>



class Level;

class WaveInfo
{

  public:

    typedef std::map<int, int>     tMissileWaves;


    tMissileWaves                     m_MissileWaves;

    int                               m_CurrentFrame;

    GR::f32                           m_MissileSpeed;


    WaveInfo();
    void                              Clear();
    void                              Update( Level& Level );

};
