#include ".\HurtingExplosionController.h"
#include ".\Level.h"




HurtingExplosionController::HurtingExplosionController() :
  m_ExplosionSize( 1.1f )
{
}



HurtingExplosionController::~HurtingExplosionController()
{
}



void HurtingExplosionController::Update( Level& Level, Unit& Unit, GR::f32 ElapsedTime )
{
  m_ExplosionSizeChanger.UpdatePos( m_ExplosionSizeChangerPos, ElapsedTime );
  m_ExplosionSize = m_ExplosionSizeChanger.CurrentValue( m_ExplosionSizeChangerPos );
  if ( m_ExplosionSize <= 0.0f )
  {
    Unit.m_RemoveMe = true;
  }
  Level.ExplodeObjects( Unit.m_Pos, 0.5f * 39.0f * m_ExplosionSize );
  Unit.m_DisplayZoomFactor = m_ExplosionSize;
}



void HurtingExplosionController::UpdateFixed( Level& Level, Unit& Unit )
{
}



