#pragma once

#include <GR/GRTypes.h>

#include <list>

#include <math/Iterator/SlowingIterator.h>

#include "UnitController.h"



class PlayerMissileController : public UnitController
{

  public:

    GR::tPoint                StartPos;
    GR::tPoint                TargetPos;
    math::Iterator::SlowingIterator   It;



    PlayerMissileController();
    virtual ~PlayerMissileController();


    virtual void              Update( Level& Level, Unit& Unit, GR::f32 ElapsedTime );
    virtual void              UpdateFixed( Level& Level, Unit& Unit );

};


